Support » Plugin: Fabrica Dashboard » 1.0.10 update crashed dashboard

  • Resolved Emily Barney

    (@ebarney)


    Immediately after installing the Fabrica Dashboard 1.0.10 update, I started seeing this error message and I can’t access any admin pages:

    The site is experiencing technical difficulties. Please check your site admin email inbox for instructions.

    I’m troubleshooting this with my host, since I’m also having issues with my SFTP login that I’d normally use to disable a plugin if an update causes issues. It’s possible the update is not the source of my dashboard access issues, but I am seeing some error logs that seem like they’re worth sharing:

    [30-Sep-2019 15:07:08 UTC] PHP Warning: require_once(base-common.php): failed to open stream: No such file or directory in /www/wp-content/plugins/fabrica-dashboard/inc/base.php on line 6
    [30-Sep-2019 15:07:08 UTC] PHP Fatal error: require_once(): Failed opening required ‘base-common.php’ (include_path=’.:/usr/share/php:/www/wp-content/pear’) in /www/wp-content/plugins/fabrica-dashboard/inc/base.php on line 6
    [30-Sep-2019 15:07:10 UTC] PHP Warning: require_once(base-common.php): failed to open stream: No such file or directory in /www/wp-content/plugins/fabrica-dashboard/inc/base.php on line 6
    [30-Sep-2019 15:07:10 UTC] PHP Fatal error: require_once(): Failed opening required ‘base-common.php’ (include_path=’.:/usr/share/php:/www/wp-content/pear’) in /www/wp-content/plugins/fabrica-dashboard/inc/base.php on line 6

Viewing 5 replies - 1 through 5 (of 5 total)
  • Warning: require_once(base-common.php): failed to open stream: No such file or directory in /var/www/domain.com/htdocs/wp-content/plugins/fabrica-dashboard/inc/base.php on line 6

    Fatal error: require_once(): Failed opening required ‘base-common.php’ (include_path=’.:/usr/share/php’) in /var/www/domain.com/htdocs/wp-content/plugins/fabrica-dashboard/inc/base.php on line 6

    Same here.

    PHP 7.3 issue perhaps?

    The primary error, from looking at the error logs, seems to be the line 6 in 1.0.10 that calls for a file named base-common.php (which isn’t in the inc directory)

    https://plugins.trac.wordpress.org/browser/fabrica-dashboard/trunk/inc/base.php

    require_once(‘base-common.php’);

    In 1.0.9 and earlier, the line calls for base-edition.php (which is in the inc directory):
    https://plugins.trac.wordpress.org/browser/fabrica-dashboard/tags/1.0.9/inc/base.php

    require_once(‘base-edition.php’);

    Disabling Fabrica Dashboard by has enabled me to use my admin screens again, but I still don’t have SFTP access to test whether making that code change would solve this issue and I haven’t installed this on my test sites to do the change elsewhere.

    I’m getting the same error, and rolled back to the previous version for now. Do you absolutely need require_once instead of include_once?

    Plugin Author Yes We Work

    (@yeswework)

    It was an SVN issue, not all the files in the new version had been copied to the repository. Should be resolved now. If it’s still throwing errors you can delete and reinstall.

    Sorry for any inconvenience.

    Warning: require_once(base-common.php): failed to open stream: No such file or directory in /var/www/domain.com/htdocs/wp-content/plugins/fabrica-dashboard/inc/base.php on line 6

    Fatal error: require_once(): Failed opening required ‘base-common.php’ (include_path=’.:/usr/share/php’) in /var/www/domain.com/htdocs/wp-content/plugins/fabrica-dashboard/inc/base.php on line 6

    Same problem in this latest 1.0.10 release.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘1.0.10 update crashed dashboard’ is closed to new replies.